## zlog 1.0.0

=== DESCRIPTION ===
Package: zlog
Title: Z(log) Transformation for Laboratory Measurements
Version: 1.0.0
Date: 2021-04-29
Description: Transformation of laboratory measurements into z or z(log)-value
    based on given or empirical reference limits as proposed in
    Hoffmann et al. 2017 <doi:10.1515/labmed-2016-0087>.
Authors@R: person(given = "Sebastian", family = "Gibb",
                  email = "mail@sebastiangibb.de",
                  role = c("aut", "cre"),
		          comment = c(ORCID = "0000-0001-7406-4443"))
Maintainer: Sebastian Gibb <mail@sebastiangibb.de>
Depends: R (>= 3.6.0)
Suggests: kableExtra, knitr, rmarkdown, survival, testthat
License: GPL (>= 3)
RoxygenNote: 7.1.1
VignetteBuilder: knitr
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2021-04-29 14:49:00 UTC; sebastian
Author: Sebastian Gibb [aut, cre] (<https://orcid.org/0000-0001-7406-4443>)
Repository: CRAN
Date/Publication: 2021-04-30 06:50:02 UTC
