## zlog 1.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: zlog
 Title: Z(log) Transformation for Laboratory Measurements
-Version: 1.0.0
-Date: 2021-04-29
+Version: 1.0.2
+Date: 2022-12-28
 Description: Transformation of laboratory measurements into z or z(log)-value
     based on given or empirical reference limits as proposed in
     Hoffmann et al. 2017 <doi:10.1515/labmed-2016-0087>.
@@ -13,11 +13,13 @@
 Depends: R (>= 3.6.0)
 Suggests: kableExtra, knitr, rmarkdown, survival, testthat
 License: GPL (>= 3)
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.3
+URL: https://github.com/ampel-leipzig/zlog/
+BugReports: https://github.com/ampel-leipzig/zlog/issues/
 VignetteBuilder: knitr
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2021-04-29 14:49:00 UTC; sebastian
+Packaged: 2022-12-28 12:16:34 UTC; sebastian
 Author: Sebastian Gibb [aut, cre] (<https://orcid.org/0000-0001-7406-4443>)
 Repository: CRAN
-Date/Publication: 2021-04-30 06:50:02 UTC
+Date/Publication: 2023-01-05 17:40:02 UTC
