=== debian/changelog ===
zlog (1.2.18-2) unstable; urgency=medium

  [Adrian Bunk]
  * Backport upstream fix for FTBFS with CMake 4. (Closes: #1113659)

  [Bo YU]
  * Bump Standards-Version to 4.7.2 (no changes)
  * Update the email of maintainer
  * Update the year of d/copyright
  * Drop Rules-Requires-Root from d/control
  * Add d/gbp.conf

 -- Bo YU <vimer@debian.org>  Sun, 12 Oct 2025 00:24:52 +0800

zlog (1.2.18-1) unstable; urgency=low

  * Initial release. (Closes: #1081635)

 -- Bo YU <tsu.yubo@gmail.com>  Sat, 26 Oct 2024 13:00:15 +0800
