=== debian/control ===
Source: zlog
Section: libs
Priority: optional
Maintainer: Bo YU <vimer@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 debhelper (>= 11),
 cmake,
Standards-Version: 4.7.2
Homepage: https://github.com/HardySimpson/zlog
Vcs-Git: https://salsa.debian.org/vimerbf-guest/zlog.git
Vcs-Browser: https://salsa.debian.org/vimerbf-guest/zlog

Package: libzlog1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: mutli features pure C logging library -- runtime library
 A reliable, high-performance, thread safe, flexible,
 clear-model, pure C logging library.
 .
 This package contains the shared libraries.

Package: libzlog-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libzlog1 (= ${binary:Version}),
Description: mutli features pure C logging library -- development files
 A reliable, high-performance, thread safe, flexible,
 clear-model, pure C logging library.
 .
 This package contains the development files.
