=== debian/tests/control ===
Tests: test 
Depends: libzlog-dev, gcc, libc6-dev
Restrictions: allow-stderr
