=== debian/watch ===
version=4
https://github.com/HardySimpson/zlog/tags .*/v?@ANY_VERSION@\.tar\.gz
